webkit 编译错误 在update-webkit 阶段

jxj_njjn 发布于 2014/02/27 17:42
阅读 1K+
收藏 0

先把错误贴上来:

$ ./update-webkit
Updating OpenSource
Updating '.':
At revision 164782.
Checking Last-Modified date of WebKitAuxiliaryLibrary.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (35) Unsupported SSL protocol version
Couldn't check Last-Modified date of new WebKitAuxiliaryLibrary.zip.
Please ensure that https://developer.apple.com/opensource/internet/WebKitAuxiliaryLibrary.zip is reachable.
Unable to check Last-Modified date and no version of WebKitAuxiliaryLibrary to fall back to.
Died at Tools/Scripts/update-webkit-auxiliary-libs line 40.
Died at ./update-webkit line 84.

-----------------------------------------------------------------------------------------------------------

我打开了Tools/Scripts/update-webkit-auxiliary-libs 如下:

my $file = "WebKitAuxiliaryLibrary";
my $zipFile = "$file.zip";
my $auxiliaryLibsURL = "https://developer.apple.com/opensource/internet/$zipFile";
my $command = "$FindBin::Bin/update-webkit-dependency";

system("perl", $command, $auxiliaryLibsURL, "win") == 0 or die;

错误发生在最后一行,也就是 执行perl命令出错了

但是我不知道怎么解决,还希望高手指教!

------------------------------------------------------------------------------------------------------------

PS:其实我这边有WebKitAuxiliaryLibrary.zip这个包,在VS中编译中会提示缺少很多头文件头文件,我发现其实都在这个包里面,只是不晓得 解压出包里面的内容 应该放在哪里。。所以就想还是让update-webkit来帮我完成这个工作。。。

加载中
0
z
znyh
不清楚呢??????
j
jxj_njjn
啥不清楚??难道我的描述 不清楚吗?
0
s
stevenHe
你下载一个专用cygwin的版本就好了 http://pan.baidu.com/s/1bnb4kMz
0
zzk0921
zzk0921

我也遇到了这样的问题,不知道你有没有解决,如果解决了的话,能告诉我是如何解决的么?

0
jysong
jysong
应该是环境变量没有设置好吧
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部